Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Typedefs
- Related Functions

- a
- b
- c
- e
- g
- i
- m
- n
- o
- p
- s
- t
- v

Here is a list of all documented class members with links to the class documentation for each member:

### - a -

- acquireLock() : sauce::internal::BaseInjector< ImplicitBindings >
- add() : sauce::Modules

### - b -

- bind() : sauce::AbstractModule , sauce::Binder

### - c -

- clear() : sauce::internal::PendingThrower
- configure() : sauce::AbstractModule
- createInjector() : sauce::Modules

### - e -

- eagerlyInject() : sauce::internal::OpaqueBinding

### - g -

- get() : sauce::AbstractProvider< Dependency > , sauce::internal::Bindings< ImplicitBindings > , sauce::internal::ImplicitBinding< Dependency > , sauce::internal::ImplicitProvider< Dependency, Name > , sauce::internal::ResolvedBinding< Dependency > , sauce::internal::ScopeCache , sauce::Provider< Dependency >
- getKey() : sauce::internal::OpaqueBinding , sauce::internal::ResolvedBinding< Dependency >
- getModifyings() : sauce::internal::ImplicitBindings
- getName() : sauce::internal::Binding< Dependency_, Scope > , sauce::internal::OpaqueBinding
- getProviding() : sauce::internal::ImplicitBindings
- getScopeKey() : sauce::internal::OpaqueBinding

### - i -

- inject() : sauce::internal::InjectorBinding , sauce::internal::InstanceBinding< Dependency > , sauce::internal::MethodBinding< Dependency, Signature > , sauce::internal::NewBinding< Dependency, Scope, Constructor, Allocator >
- isModifier() : sauce::internal::OpaqueBinding

### - m -

- Modules() : sauce::Modules

### - n -

- Normalized : sauce::internal::Key< Iface_ >

### - o -

- operator()() : sauce::internal::DisposalDeleter< Iface, Disposal >

### - p -

- Provides : sauce::Provider< Dependency >
- put() : sauce::internal::Bindings< ImplicitBindings > , sauce::internal::ScopeCache

### - s -

- setDynamicDependencyNames() : sauce::internal::OpaqueBinding
- setName() : sauce::internal::Binding< Dependency_, Scope > , sauce::internal::OpaqueBinding

### - t -

- throwAnyPending() : sauce::internal::PendingThrower
- throwLater() : sauce::internal::PendingThrower
- throwOutOfScopeException() : sauce::internal::ResolvedTypeId< Type > , sauce::internal::TypeId
- typeIdOf : sauce::internal::ResolvedTypeId< Type >

### - v -

- validateAcyclic() : sauce::internal::ResolvedBinding< Dependency >